> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-personal-dashboard/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get personal dashboard GET https://app.unleash-instance.example.com/api/admin/personal-dashboard Return all projects and flags that are relevant to the user. Reference: https://docs.getunleash.io/api/get-personal-dashboard ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 personalDashboardSchema - `admins` (list of PersonalDashboardSchemaAdminsItems, required) — Users with the admin role in Unleash. - `projectOwners` (list of PersonalDashboardSchemaProjectOwnersItems, required) — Users with the project owner role in Unleash. Only contains owners of projects that are visible to the user. - `projects` (list of PersonalDashboardSchemaProjectsItems, required) — A list of projects that a user participates in with any role e.g. member or owner or any custom role - `flags` (list of PersonalDashboardSchemaFlagsItems, required) — A list of flags a user created or favorited ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### PersonalDashboardSchemaAdminsItems - `id` (integer, required) — The user ID. - `name` (string, optional) — The user's name. - `username` (string, optional) — The user's username. - `imageUrl` (string, optional) - `email` (string, optional) ### PersonalDashboardSchemaProjectOwnersItems - `ownerType` (enum, required) — The type of the owner; will always be `user`. - Allowed values: `user` - `name` (string, required) — The name displayed for the user. Can be the user's name, username, or email, depending on what they have provided. - `imageUrl` (string, optional, nullable) — The URL of the user's profile image. - `email` (string, optional, nullable) — The user's email address. ### PersonalDashboardSchemaProjectsItems - `id` (string, required) — The id of the project - `name` (string, required) — The name of the project - `technicalDebt` (integer, required) — An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 - `memberCount` (integer, required) — The number of members this project has - `featureCount` (integer, required) — The number of features this project has - `health` (integer, required, deprecated) — Use `technicalDebt` instead. ### PersonalDashboardSchemaFlagsItems - `name` (string, required) — The name of the flag - `project` (string, required) — The id of the feature project - `type` (string, required) — The type of the feature flag ## Examples **Response** ```json { "admins": [ { "id": 1, "name": "Ash Ketchum", "username": "pokémaster13", "imageUrl": "https://example.com/peek-at-you.jpg", "email": "user@example.com" } ], "projectOwners": [ { "ownerType": "user", "name": "User Name", "imageUrl": "https://example.com/image.jpg", "email": "user@example.com" } ], "projects": [ { "id": "my-project-id", "name": "My Project", "technicalDebt": 25, "memberCount": 4, "featureCount": 10, "health": 50 } ], "flags": [ { "name": "my-flag", "project": "my-project-id", "type": "release" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/personal-dashboard" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/personal-dashboard'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/personal-dashboard" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/personal-dashboard") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/personal-dashboard") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/personal-dashboard', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/personal-dashboard"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/personal-dashboard")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```